Package: org.gradle.api.resources

## [Java] Interface ReadableResource

- org.gradle.api.resources.Resource

- All Superinterfaces:
    Resource

  A resource that can be read. The simplest example is a file.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `InputStream` | `read()` Returns an input stream that provides means to read the resource

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Resource` | `getBaseName, getDisplayName, getURI`

- - ### Method Detail

    - #### public InputStream read()

      Returns an input stream that provides means to read the resource

      Returns:
        allows reading the resource